WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.calendar.cities
Class LondonBusinessCalendar

    java.lang.Object
      |
      +--webcab.lib.calendar.AbstractBusinessCalendar
            |
            +--webcab.lib.calendar.cities.LondonBusinessCalendar

All Implemented Interfaces:
  BusinessCalendar, Serializable

public final class LondonBusinessCalendar
extends AbstractBusinessCalendar

London business calendar.

Holidays:

- <description>Saturdays</description>
- <description>Sundays</description>
- <description>New Year's Day, January 1st (possibly moved to Monday)</description>
- <description>Good Friday</description>
- <description>Easter Monday</description>
- <description>Early Bank Holiday, first Monday of May</description>
- <description>Spring Bank Holiday, last Monday of May</description>
- <description>June 3rd, 2002 only (Golden Jubilee Bank Holiday)</description>
- <description>June 4rd, 2002 only (special Spring Bank Holiday)</description>
- <description>Summer Bank Holiday, last Monday of August</description>
- <description>Christmas, December 25th (possibly moved to Monday or Tuesday)</description>
- <description>Boxing Day, December 26th (possibly moved to Monday or Tuesday)</description>
- <description>December 31st, 1999 only</description>

See Bank and public holidays in England, Wales and Northern Ireland 2002-2005 and National Holidays(website)

See Also:
  Serialized Form

Field Summary

Fields inherited from class webcab.lib.calendar.AbstractBusinessCalendar
`DAYS_IN_A_WEEK, MILLISECONDS_IN_A_DAY, MILLISECONDS_IN_A_HOUR, MILLISECONDS_IN_A_MINUTE, MILLISECONDS_IN_A_SECOND`

Method Summary
`static LondonBusinessCalendar` `getInstance()` The only way of getting a `LondonBusinessCalendar` instance.
`protected boolean` `isHoliday(Calendar date)` Returns `true` if the specified date `calendar` is a working day.

Methods inherited from class webcab.lib.calendar.AbstractBusinessCalendar
`checkDayOfWeek, checkOrder, daysBetween, daysBetweenAsPercentAtYear, daysOfWeekBetween, getName, isHoliday, isWorkingDay, nextHoliday, nextPaymentDate, nextWorkingDay, previousPaymentDate, workingDaysBetween, yearsBetween`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static LondonBusinessCalendar getInstance()

  The only way of getting a `LondonBusinessCalendar` instance.

  Returns:
    an instance of this business calendar

### isHoliday

    protected boolean isHoliday(Calendar date)

  Returns `true` if the specified date `calendar` is a working day.

  Specified by:
    `isHoliday` in class `AbstractBusinessCalendar`
  Parameters:
    `date` - the date to check
  Returns:
    `true` if the specified date `calendar` is a working day, `false` otherwise
  See Also:
    `BusinessCalendar.isHoliday(Date)`, `AbstractBusinessCalendar.isWorkingDay(Date)`, `BusinessCalendar.isHoliday(Date)`

WebCab Options and Futures Demo v2.5 (J2SE Edition)